Bug 17615 - raidstart stub python scripts are intollerant of type fd partitions without raid superblock
Summary: raidstart stub python scripts are intollerant of type fd partitions without r...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-18 17:17 UTC by Christopher Johnson
Modified: 2007-04-18 16:28 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-15 16:38:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher Johnson 2000-09-18 17:17:41 UTC
If there are any linux raid partitions (type fd) for which mkraid has not
been performed yet, the scripts invoked by the 'raidstart /dev/md0' command
in the rescue environment crash in isys.py line 37 with a complaint:
ValueError: bad md magic in device

This in spite of the fact that the uninitialized type fd partitions are not
associated with md0.

This prevents access to md0.
Instead the scripts should perform initialization for partitions that do
have valid raid superblocks, and ignore partitions that do not, but still
invoke the raidstart program with provided arguments.

-- Chris

Comment 1 Christopher Johnson 2000-09-18 17:24:14 UTC
This bug exists in RH 6.x rescue environment too.

Comment 2 Michael Fulbright 2002-07-15 16:38:17 UTC
Should be fixed.


Note You need to log in before you can comment on or make changes to this bug.